# ReplicationStrategy Data Model

The strategy for distributing the file replication tasks among the mappers of the MR job associated with a replication.

Values
value | description
--- | ---
STATIC | Distributes file replication tasks among the mappers up front, trying to achieve a uniform distribution based on the file sizes.
DYNAMIC | Distributes file replication tasks in small sets to the mappers, and as each mapper is done processing its set of tasks, it picks up and processes the next unallocated set of tasks.